## parallel-20090826.tar.bz2

=== Makefile ===
parallel.1: parallel
	pod2man parallel > parallel.1

install: parallel parallel.1
	install -D -m 755 parallel $(DESTDIR)/usr/bin/parallel
	install -D -m 644 parallel.1 $(DESTDIR)/usr/share/man/man1/parallel.1

unittest: parallel unittest/tests-to-run/* unittest/wanted-results/*
	echo | mop || (echo mop is required for unittest; /bin/false)
	seq 1 2 | mop || (echo seq is required for unittest; /bin/false)
	(cd unittest; sh Start.sh)

clean:
	rm -f parallel.1

dist:
	rm -rf ./unittest/input-files/random_dirs_*_newline || /bin/true
	rm -rf ./unittest/tmp || /bin/true
	rm parallel-????????.tar.bz2 || /bin/true
	( cd ..; tar -cvj --exclude .git --exclude '#*#' --exclude '*~' --exclude CVS -f /tmp/parallel.tar.bz2 parallel-[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9] )
	mv /tmp/parallel.tar.bz2 parallel-$$(date +"%Y%m%d").tar.bz2
	rsync -Havessh parallel-$$(date +"%Y%m%d").tar.bz2 download.savannah.nongnu.org:/releases/parallel/

=== debian/changelog ===
parallel (20090803-1) unstable; urgency=low

  * Initial release (Closes: #518696)

 -- Ole Tange <ole@tange.dk>  Mon, 03 Aug 2009 17:11:56 +0200

=== debian/control ===
Source: parallel
Section: utils
Priority: extra
Maintainer: Ole Tange <ole@tange.dk>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: https://savannah.nongnu.org/projects/parallel/

Package: parallel
Architecture: all
Depends: perl-modules, ${misc:Depends}
Description: build and execute command lines from standard input in parallel
 Build and execute command lines from standard input in 
 parallel similar to xargs
 .
 For each line of input parallel will execute command with the line as
 arguments. If no command is given the line of input is executed.
 parallel can often be used as a substitute for xargs or cat | sh.
 .
 Several lines will be run in parallel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/parallel.
	$(MAKE) DESTDIR=$(CURDIR)/debian/parallel install


# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://mirrors.zerg.biz/nongnu/parallel/parallel-(.*)\.tar\.bz2
